## ros-indigo-cob-obstacle-distance-moveit 0.6.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_obstacle_distance_moveit)

find_package(catkin REQUIRED
    COMPONENTS
        cmake_modules
        cob_control_msgs
        cob_srvs
        eigen_conversions
        geometric_shapes
        geometry_msgs
        moveit_core
        moveit_ros_perception
        moveit_ros_planning_interface
        roscpp
        tf
        tf_conversions
)

find_package(Boost REQUIRED COMPONENTS)
find_package(Eigen REQUIRED)
add_definitions(${EIGEN_DEFINITIONS})
find_package(fcl REQUIRED)

catkin_package()


### Build ###
include_directories(
    include
    ${catkin_INCLUDE_DIRS}
)

add_library(obstacle_distance_moveit src/${PROJECT_NAME}/obstacle_distance_moveit.cpp)
add_dependencies(obstacle_distance_moveit ${catkin_EXPORTED_TARGETS})
target_link_libraries(obstacle_distance_moveit ${catkin_LIBRARIES} ${fcl_LIBRARIES})

add_executable(obstacle_distance_node src/obstacle_distance_moveit_node.cpp)
add_dependencies(obstacle_distance_node ${catkin_EXPORTED_TARGETS})
target_link_libraries(obstacle_distance_node obstacle_distance_moveit ${catkin_LIBRARIES})

add_executable(visualize_obstacle_distance_node src/visualize_obstacle_distance_node.cpp)
add_dependencies(visualize_obstacle_distance_node ${catkin_EXPORTED_TARGETS})
target_link_libraries(visualize_obstacle_distance_node ${catkin_LIBRARIES})

add_executable(test_obstacle_publisher_node src/test_obstacle_publisher_node.cpp)
add_dependencies(test_obstacle_publisher_node ${catkin_EXPORTED_TARGETS})
target_link_libraries(test_obstacle_publisher_node ${catkin_LIBRARIES})


### INSTALL ###
install(TARGETS obstacle_distance_moveit obstacle_distance_node visualize_obstacle_distance_node test_obstacle_publisher_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(PROGRAMS scripts/test_obstacle_publisher.py scripts/test_registration_client.py scripts/test_service_client.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}/scripts
)

install(DIRECTORY files launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-cob-obstacle-distance-moveit (0.6.6-1trusty) trusty; urgency=high

  * Merge pull request #133 <https://github.com/ipa320/cob_manipulation/issues/133> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #120 <https://github.com/ipa320/cob_manipulation/issues/120> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-uhr-mk

 -- Felix Messmer <fxm@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-obstacle-distance-moveit (0.6.5-1trusty) trusty; urgency=high

  * Merge pull request #110 <https://github.com/ipa320/cob_manipulation/issues/110> from ipa320/ipa-fxm-refactor_configuration_structure
    Refactor configuration structure
  * restructure moveit config
  * ;)
  * deleted some whitespaces
  * Added SRDF for AllowedCollisionMatrix computation
  * Changed launchfile accourding to new cob structure
  * do not load robot_description in cob_moveit_config/upload_config.launch
  * minor launch adjustments
  * add remaps for cob4 as comments
  * move scripts to proper folder
  * add install tags
  * Contributors: Christoph Mark, Felix Messmer, ipa-fxm, ipa-nhg

 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 30 Jul 2017 22:00:00 -0000

ros-indigo-cob-obstacle-distance-moveit (0.6.4-1trusty) trusty; urgency=high

  * use messages and services from new package cob_control_msgs
  * removing license
  * move obstacle_distance into new package cob_obstacle_distance_moveit
  * Contributors: ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-cob-obstacle-distance-moveit (0.6.3-1trusty) trusty; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-indigo-cob-obstacle-distance-moveit (0.6.2-1trusty) trusty; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Fri, 28 Aug 2015 22:00:00 -0000

ros-indigo-cob-obstacle-distance-moveit (0.6.1-1trusty) trusty; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-cob-obstacle-distance-moveit (0.6.0-1trusty) trusty; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Wed, 17 Sep 2014 22:00:00 -0000

ros-indigo-cob-obstacle-distance-moveit (0.5.2-1trusty) trusty; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Wed, 27 Aug 2014 22:00:00 -0000

ros-indigo-cob-obstacle-distance-moveit (0.5.1-1trusty) trusty; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Tue, 25 Mar 2014 23:00:00 -0000

=== debian/control ===
Source: ros-indigo-cob-obstacle-distance-moveit
Section: misc
Priority: extra
Maintainer: Felix Messmer <fxm@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libeigen3-dev, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-cob-control-msgs, ros-indigo-cob-srvs, ros-indigo-eigen-conversions, ros-indigo-fcl, ros-indigo-geometric-shapes, ros-indigo-geometry-msgs, ros-indigo-moveit-core, ros-indigo-moveit-msgs, ros-indigo-moveit-ros-perception, ros-indigo-moveit-ros-planning-interface, ros-indigo-roscpp, ros-indigo-tf, ros-indigo-tf-conversions
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-cob-obstacle-distance-moveit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libeigen3-dev, ros-indigo-cmake-modules, ros-indigo-cob-control-msgs, ros-indigo-cob-srvs, ros-indigo-eigen-conversions, ros-indigo-fcl, ros-indigo-geometric-shapes, ros-indigo-geometry-msgs, ros-indigo-moveit-core, ros-indigo-moveit-msgs, ros-indigo-moveit-ros-perception, ros-indigo-moveit-ros-planning-interface, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-tf, ros-indigo-tf-conversions
Description: This package provides nodes for calculating the minimal distance to robot links, obstacles and octomap using MoveIt!'s PlanningSceneMonitor

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-cob-obstacle-distance-moveit//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
